#
# perl modules provided by this package are part of perl distribution (perl-Scalar-List-Utils subpackage)
# DO NOT send this package to Th builders if version is <= provided from perl.spec
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%define		pdir	Scalar
%define		pnam	List-Utils
Summary:	List::Util and Scalar::Util - selection of general-utility scalar subroutines
Summary(pl.UTF-8):	List::Util i Scalar::Util - wybór procedur skalarnych ogólnego zastosowania
Name:		perl-Scalar-List-Utils
Version:	1.62
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Scalar/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2e5186779360f938c8ec83030c7b5a03
URL:		https://metacpan.org/release/Scalar-List-Utils
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
#BuildRequires:	th-blocker, not for ftp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a selection of subroutines that people have
expressed would be nice to have in the perl core, but the usage would
not really be high enough to warrant the use of a keyword, and the
size so small such that being individual extensions would be wasteful.

%description -l pl.UTF-8
Ten pakiet zawiera wybrane procedury, które według niektórych ludzi
powinny znaleźć się w głównym pakiecie Perla, ale użyteczność nie jest
zbyt duża, a rozmiar za mały na tworzenie oddzielnych rozszerzeń.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL -xs \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/List
%{perl_vendorarch}/List/Util.pm
%dir %{perl_vendorarch}/List/Util
%{perl_vendorarch}/List/Util/*.pm
%dir %{perl_vendorarch}/Scalar
%{perl_vendorarch}/Scalar/Util.pm
%dir %{perl_vendorarch}/Sub
%{perl_vendorarch}/Sub/Util.pm
%dir %{perl_vendorarch}/auto/List
%dir %{perl_vendorarch}/auto/List/Util
%attr(755,root,root) %{perl_vendorarch}/auto/List/Util/Util.so
%{_mandir}/man3/List::Util*.3pm*
%{_mandir}/man3/Scalar::Util.3pm*
%{_mandir}/man3/Sub::Util.3pm*
%changelog
* Sun May 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Scalar-List-Utils.git;a=log;h=master

* Sun May 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 187dd7b
- updated to 1.62

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 5aa2457
- Release 2 (by relup.sh)

* Sun May 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 62a2c88
- up to 1.56

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> d71a120
- updated to 1.55

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 944756f
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> f39a761
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> d53f442
- up to 1.53

* Sun Oct 27 2019 Jan Rękorajski <baggins@pld-linux.org> ed09733
- release 3 (by relup.sh)

* Wed Sep 26 2018 Elan Ruusamäe <glen@delfi.ee> 8d9ccc8
- perl rebuild
- release 2 (by relup.sh)

* Sat Sep 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 75018c9
- updated to 1.50

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 86f7712
- release 3 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 8fe18a2
- release 2 (by relup.sh)

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> b545c60
- up to 1.49

* Fri Jun 30 2017 Jakub Bogusz <qboosh@pld-linux.org> 190a365
- up to 1.48

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 67d8650
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 85077de
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Fri Dec 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> ea41aa6
- up to 1.47

* Sat Nov 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 5b95069
- package Sub::Util, release 2

* Sun Oct 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 8491916
- up to 1.46; perl-Moose needs version newer than perl 5.24.0 provides

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 078f142
- removed zero-sized .bs file

